Getting Ready for EST - Meeting #339

GREST board meeting in Rome
2017-07-27 12:53 - GREST EST

Status: Closed Start date:

Priority: Normal Due date:

2nd assignee:

2017-10-04
2017-10-04

Description

History

#1 - 2017-07-27 13:14 - GREST EST

- Status changed from New to Scheduled

#2 - 2017-10-24 10:18 - GREST EST
- Status changed from Scheduled to Finished

#3 - 2017-10-24 10:18 - GREST EST

- Status changed from Finished to Closed

2025-04-19
